Skip to main content
GET
List athletes

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

wodup-gym
string

Only used by platform integrations
ID of gym to execute on behalf of

Example:

"gym_123abc"

Query Parameters

active
enum<string>
default:true

Whether to return athletes with active accounts only

Available options:
true,
false,
all
limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

Required range: 1 <= x <= 100
Example:

50

after_cursor
string

A cursor for use in pagination. after_cursor is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after_cursor=obj_foo in order to fetch the next page of the list.

Example:

"ath_abcdef"

before_cursor
string

A cursor for use in pagination. before_cursor is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include before_cursor=obj_bar in order to fetch the previous page of the list.

Example:

"ath_abcdef"

Response

list athletes response

access
enum<string>
required

Athlete access

Available options:
member,
marketplace,
archived,
deleted
added_at
string<date-time>
required

Date athlete initially added to your organization. ISO8601 timestamp in UTC

email
string<email>
required

Athlete email address

followed_programs
Program · object[]
required

List of programs the athlete follows on their timeline

id
string
required

Athlete ID

invite_url
string<uri>
required

A URL that allows a user to claim this athlete account.

name
string
required

Athlete name

gender
enum<string> | null

Athlete gender

Available options:
male,
female,
nonbinary,
undisclosed,
null
staff
enum<string> | null

Athlete staff

Available options:
admin,
coach,
null
Example: